Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061139 - [RFE] rhevm-guest-agent for RHEL7
Summary: [RFE] rhevm-guest-agent for RHEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks: 1077779
TreeView+ depends on / blocked
 
Reported: 2014-02-04 12:41 UTC by Vinzenz Feenstra [evilissimo]
Modified: 2018-12-06 15:53 UTC (History)
17 users (show)

Fixed In Version: rhevm-guest-agent-1.0.9-4.el7
Doc Type: Enhancement
Doc Text:
This enhancement update adds the rhevm-guest-agent packages to Red Hat Enterprise Linux 7.
Clone Of:
Environment:
Last Closed: 2014-06-11 18:05:35 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0746 normal SHIPPED_LIVE new packages: rhevm-guest-agent 2014-06-11 22:04:50 UTC
oVirt gerrit 24628 None None None Never
oVirt gerrit 27182 master MERGED Try to load the virtio_console module before starting Never

Description Vinzenz Feenstra [evilissimo] 2014-02-04 12:41:35 UTC
Description of problem:
The rhevm-guest-agent package is not available

Actual results:
No existing official rhevm-guest-agent packages for RHEL7

Expected results:
Existing rhevm-guest-agent package for RHEL7

Comment 2 Jay Greguske 2014-02-05 08:34:11 UTC
Andy/Scott, what is the release plan for this? Do you expect it in the RHEL 7 guest image, or in the RH-Common channel in RHN? (recall we are not creating rhevm-guest-agent channels for RHEL 7)

Comment 3 Andrew Cathrow 2014-02-23 18:43:55 UTC
(In reply to Jay Greguske from comment #2)
> Andy/Scott, what is the release plan for this? Do you expect it in the RHEL
> 7 guest image, or in the RH-Common channel in RHN? (recall we are not
> creating rhevm-guest-agent channels for RHEL 7)

Both in the RHEL 7 common channel and in the image itself

Comment 4 Vinzenz Feenstra [evilissimo] 2014-03-05 10:10:42 UTC
Change merged u/s to master as http://gerrit.ovirt.org/gitweb?p=ovirt-guest-agent.git;a=commit;h=723de8e6075a255cf49df0d16b03cce185580a21

Comment 8 Jiri Belka 2014-04-07 14:48:10 UTC
ok, although i had to disable selinux because it was blocking gnome-shell :)

rhevm-guest-agent-common-1.0.9-1.el7.noarch
rhevm-guest-agent-gdm-plugin-1.0.9-1.el7.noarch
rhevm-guest-agent-pam-module-1.0.9-1.el7.x86_6

Comment 9 Nikolai Sednev 2014-04-09 09:45:54 UTC
I can't get service running it seems after installed it from brew and guest's details not received by engine:
engine-3.4.0-0.13.beta3.el6ev
rhevm-guest-agent-kdm-plugin-1.0.9-2.el7ev.x86_64
rhevm-guest-agent-common-1.0.9-2.el7ev.noarch
rhevm-guest-agent-pam-module-1.0.9-2.el7ev.x86_64
rhevm-guest-agent-gdm-plugin-1.0.9-2.el7ev.noarch
rhevm-guest-agent-debuginfo-1.0.9-2.el7ev.x86_64

Guest's IP 10.35.88.55.

Comment 10 Vinzenz Feenstra [evilissimo] 2014-04-09 10:28:32 UTC
(In reply to Nikolai Sednev from comment #9)
> I can't get service running it seems after installed it from brew and
> guest's details not received by engine:
> engine-3.4.0-0.13.beta3.el6ev
> rhevm-guest-agent-kdm-plugin-1.0.9-2.el7ev.x86_64
> rhevm-guest-agent-common-1.0.9-2.el7ev.noarch
> rhevm-guest-agent-pam-module-1.0.9-2.el7ev.x86_64
> rhevm-guest-agent-gdm-plugin-1.0.9-2.el7ev.noarch
> rhevm-guest-agent-debuginfo-1.0.9-2.el7ev.x86_64
> 
> Guest's IP 10.35.88.55.

# service ovirt-guest-agent start

did the trick for me on that VM. I don't what's the problem for you? I can't seem to find any errors or anything.

Comment 11 Nikolai Sednev 2014-04-09 10:38:24 UTC
(In reply to Vinzenz Feenstra [evilissimo] from comment #10)
> (In reply to Nikolai Sednev from comment #9)
> > I can't get service running it seems after installed it from brew and
> > guest's details not received by engine:
> > engine-3.4.0-0.13.beta3.el6ev
> > rhevm-guest-agent-kdm-plugin-1.0.9-2.el7ev.x86_64
> > rhevm-guest-agent-common-1.0.9-2.el7ev.noarch
> > rhevm-guest-agent-pam-module-1.0.9-2.el7ev.x86_64
> > rhevm-guest-agent-gdm-plugin-1.0.9-2.el7ev.noarch
> > rhevm-guest-agent-debuginfo-1.0.9-2.el7ev.x86_64
> > 
> > Guest's IP 10.35.88.55.
> 
> # service ovirt-guest-agent start
> 
> did the trick for me on that VM. I don't what's the problem for you? I can't
> seem to find any errors or anything.

[root@localhost ~]# service ovirt-guset-agent start
Redirecting to /bin/systemctl start  ovirt-guset-agent.service
Failed to issue method call: Unit ovirt-guset-agent.service failed to load: No such file or directory.
[root@localhost ~]#

Comment 12 Nikolai Sednev 2014-04-09 10:42:04 UTC
(In reply to Nikolai Sednev from comment #11)
> (In reply to Vinzenz Feenstra [evilissimo] from comment #10)
> > (In reply to Nikolai Sednev from comment #9)
> > > I can't get service running it seems after installed it from brew and
> > > guest's details not received by engine:
> > > engine-3.4.0-0.13.beta3.el6ev
> > > rhevm-guest-agent-kdm-plugin-1.0.9-2.el7ev.x86_64
> > > rhevm-guest-agent-common-1.0.9-2.el7ev.noarch
> > > rhevm-guest-agent-pam-module-1.0.9-2.el7ev.x86_64
> > > rhevm-guest-agent-gdm-plugin-1.0.9-2.el7ev.noarch
> > > rhevm-guest-agent-debuginfo-1.0.9-2.el7ev.x86_64
> > > 
> > > Guest's IP 10.35.88.55.
> > 
> > # service ovirt-guest-agent start
> > 
> > did the trick for me on that VM. I don't what's the problem for you? I can't
> > seem to find any errors or anything.
> 
> [root@localhost ~]# service ovirt-guset-agent start
> Redirecting to /bin/systemctl start  ovirt-guset-agent.service
> Failed to issue method call: Unit ovirt-guset-agent.service failed to load:
> No such file or directory.
> [root@localhost ~]#

[root@localhost ~]# service ovirt-guest-agent status
Redirecting to /bin/systemctl status  ovirt-guest-agent.service
ovirt-guest-agent.service - oVirt Guest Agent
   Loaded: loaded (/usr/lib/systemd/system/ovirt-guest-agent.service; disabled)
   Active: active (running) since Wed 2014-04-09 13:26:31 IDT; 14min ago
  Process: 2685 ExecStartPre=/bin/chown ovirtagent:ovirtagent /run/ovirt-guest-agent.pid (code=exited, status=0/SUCCESS)
  Process: 2683 ExecStartPre=/bin/touch /run/ovirt-guest-agent.pid (code=exited, status=0/SUCCESS)
 Main PID: 2689 (python)
   CGroup: /system.slice/ovirt-guest-agent.service
           └─2689 /usr/bin/python /usr/share/ovirt-guest-agent/ovirt-guest-agent.py

Apr 09 13:26:31 localhost.localdomain systemd[1]: Starting oVirt Guest Agent...
Apr 09 13:26:31 localhost.localdomain systemd[1]: Started oVirt Guest Agent.
Apr 09 13:38:59 localhost.localdomain systemd[1]: Started oVirt Guest Agent.



No works, but for some reason FQDN at Engine is not shown.

Comment 13 Vinzenz Feenstra [evilissimo] 2014-04-09 11:04:10 UTC
That is because localhost.localdomain is considered invalid and replaced with an empty string.

Comment 14 Vinzenz Feenstra [evilissimo] 2014-04-09 11:04:57 UTC
(In reply to Nikolai Sednev from comment #11)
> [root@localhost ~]# service ovirt-guset-agent start
> Redirecting to /bin/systemctl start  ovirt-guset-agent.service
> Failed to issue method call: Unit ovirt-guset-agent.service failed to load:
> No such file or directory.
> [root@localhost ~]#
And this was a typo guset vs guest

Comment 15 Nikolai Sednev 2014-04-10 08:06:05 UTC
(In reply to Vinzenz Feenstra [evilissimo] from comment #14)
> (In reply to Nikolai Sednev from comment #11)
> > [root@localhost ~]# service ovirt-guset-agent start
> > Redirecting to /bin/systemctl start  ovirt-guset-agent.service
> > Failed to issue method call: Unit ovirt-guset-agent.service failed to load:
> > No such file or directory.
> > [root@localhost ~]#
> And this was a typo guset vs guest

Yep, my typos... Everything works now, but the strange thing is that for 6.5 I shouldn't start process manually, while for 7.0 I have to, why is that?

Also for 6.5 process shown as ovirt-guest-agent and for 7.0 as well, but package available from Brew called rhevm-guest-agent, why is this difference and why not starting automatically?

Comment 16 Vinzenz Feenstra [evilissimo] 2014-04-10 12:35:24 UTC
 (In reply to Nikolai Sednev from comment #15)
> (In reply to Vinzenz Feenstra [evilissimo] from comment #14)
> > (In reply to Nikolai Sednev from comment #11)
> > > [root@localhost ~]# service ovirt-guset-agent start
> > > Redirecting to /bin/systemctl start  ovirt-guset-agent.service
> > > Failed to issue method call: Unit ovirt-guset-agent.service failed to load:
> > > No such file or directory.
> > > [root@localhost ~]#
> > And this was a typo guset vs guest
> 
> Yep, my typos... Everything works now, but the strange thing is that for 6.5
> I shouldn't start process manually, while for 7.0 I have to, why is that?
Who said you shouldn't start it manually?

> Also for 6.5 process shown as ovirt-guest-agent and for 7.0 as well, but
> package available from Brew called rhevm-guest-agent, why is this difference
> and why not starting automatically?

If it is not enabled then it won't start, even after reboot and it might be the problem that you're referring to.

if you want it to run automatically on boot run:
service ovirt-guest-agent enable

Comment 17 Vinzenz Feenstra [evilissimo] 2014-04-10 12:37:33 UTC
And the name, is simply because it is a slightly modified version from upstream and we keep names like the username, group, process name etc the same.

It is way too much hustle to change all that.

If you dig deeper you'll come to the realization that this applies for many of the rhevm packages. e.g. the ovirt-engine service etc.

Comment 18 Vinzenz Feenstra [evilissimo] 2014-04-14 07:00:48 UTC
Reopened due to new patch which enables the ovirt-guest-agent.service by default on install now. (Note: it won't start it)

Comment 19 Jiri Belka 2014-04-15 11:25:28 UTC
fail, something is not loaded virtio modules for guest agent. please ensure ovirt-guest-agent.service requires virtio modules to be loaded before its start.

i can't orient inside systemd universe :)

# systemctl status ovirt-guest-agent
ovirt-guest-agent.service - oVirt Guest Agent
   Loaded: loaded (/usr/lib/systemd/system/ovirt-guest-agent.service; enabled)
   Active: inactive (dead)

after reboot:

# cat /var/log/ovirt-guest-agent/ovirt-guest-agent.log 
MainThread::INFO::2014-04-15 13:56:53,638::ovirt-guest-agent::37::root::Starting oVirt guest agent
MainThread::ERROR::2014-04-15 13:56:53,639::ovirt-guest-agent::117::root::Unhandled exception in oVirt guest agent!
Traceback (most recent call last):
  File "/usr/share/ovirt-guest-agent/ovirt-guest-agent.py", line 111, in <module>
    agent.run(daemon, pidfile)
  File "/usr/share/ovirt-guest-agent/ovirt-guest-agent.py", line 42, in run
    self.agent = LinuxVdsAgent(config)
  File "/usr/share/ovirt-guest-agent/GuestAgentLinux2.py", line 331, in __init__
    AgentLogicBase.__init__(self, config)
  File "/usr/share/ovirt-guest-agent/OVirtAgentLogic.py", line 90, in __init__
    self.vio = VirtIoChannel(config.get("virtio", "device"))
  File "/usr/share/ovirt-guest-agent/VirtIoChannel.py", line 150, in __init__
    self._stream = VirtIoStream(vport_name)
  File "/usr/share/ovirt-guest-agent/VirtIoChannel.py", line 131, in __init__
    self._vport = os.open(vport_name, os.O_RDWR)
OSError: [Errno 2] No such file or directory: '/dev/virtio-ports/com.redhat.rhevm.vdsm'

# systemctl status ovirt-guest-agent
ovirt-guest-agent.service - oVirt Guest Agent
   Loaded: loaded (/usr/lib/systemd/system/ovirt-guest-agent.service; enabled)
   Active: failed (Result: exit-code) since Tue 2014-04-15 13:56:53 CEST; 1h 12min ago
  Process: 823 ExecStart=/usr/bin/python /usr/share/ovirt-guest-agent/ovirt-guest-agent.py (code=exited, status=1/FAILURE)
  Process: 818 ExecStartPre=/bin/chown ovirtagent:ovirtagent /run/ovirt-guest-agent.pid (code=exited, status=0/SUCCESS)
  Process: 809 ExecStartPre=/bin/touch /run/ovirt-guest-agent.pid (code=exited, status=0/SUCCESS)
 Main PID: 823 (code=exited, status=1/FAILURE)
   CGroup: /system.slice/ovirt-guest-agent.service

no virtio drivers/modules loaded:

# lsmod | grep virt
#

# grep -vE '^$|^#' /etc/udev/rules.d/55-ovirt-guest-agent.rules 
SYMLINK=="virtio-ports/com.redhat.rhevm.vdsm", OWNER="ovirtagent", GROUP="ovirtagent"
# ls -l /dev/virtio-ports
ls: cannot access /dev/virtio-ports: No such file or directory

Comment 21 Jiri Belka 2014-04-30 13:36:20 UTC
ok, rhevm-guest-agent-common-1.0.9-4.el7ev.noarch. Although there's some tuned issue but this is not relevant to the GA itself.

Comment 23 errata-xmlrpc 2014-06-11 18:05:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0746.html


Note You need to log in before you can comment on or make changes to this bug.